Payment links
List Payment Links
List payment links created by the authenticated business, with support for pagination and basic filtering.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Query Parameters
page?integer
limit?integer
status?string
search?string
Response Body
application/json
curl -X GET "https://example.com/api/v1/payment-link"{
"requestId": "abcd1234-5678-90ef-ghij-1234567890kl",
"requestTimestamp": "2026-03-25 09:15:00",
"message": "Payment links fetched successfully.",
"statusCode": 200,
"data": [
{
"id": "019a1639-ce25-70b7-ab20-16fcb2bac023",
"createdAt": "2026-03-25 09:15:00",
"linkName": "Invoice payment",
"linkUrl": "https://app.example.com/pay/PLK_ABC123456",
"amount": {},
"status": "Active",
"narration": "Payment for March invoice",
"businessState": "live",
"reference": "PLK_ABC123456",
"sourceReference": "SRC_PLK_001",
"feeBearer": "MERCHANT"
}
],
"links": {},
"meta": {}
}Empty
How is this guide?